searchNodes=[{"doc":"Documentation for Resend .","ref":"Resend.html","title":"Resend","type":"module"},{"doc":"Returns a Resend client. Accepts a keyword list of config opts, though if omitted then it will attempt to load them from the application environment.","ref":"Resend.html#client/1","title":"Resend.client/1","type":"function"},{"doc":"Loads config values from the application environment. Config options are as follows: config :resend, Resend.Client api_key: &quot;re_1234567&quot;, base_url: &quot;https://api.resend.com&quot;, client: Resend.Client.TeslaClient The only required config option is :api_key . If you would like to replace the HTTP client used by Resend, configure the :client option. By default, this library uses Tesla , but changing it is as easy as defining your own client module. See the Resend.Client module docs for more info.","ref":"Resend.html#config/0","title":"Resend.config/0","type":"function"},{"doc":"","ref":"Resend.html#t:config/0","title":"Resend.config/0","type":"type"},{"doc":"Manage API keys in Resend.","ref":"Resend.ApiKeys.html","title":"Resend.ApiKeys","type":"module"},{"doc":"Creates a new API key. Parameter options: :name - The API key name (required) :permission - Access scope to assign to this key, one of: [&quot;full_access&quot;, &quot;sending_access&quot;] :domain_id - Restrict sending to a specific domain. Only used when permission is set to &quot;sending_access&quot; The :token field in the response struct is the only time you will see the token, keep it somewhere safe.","ref":"Resend.ApiKeys.html#create/2","title":"Resend.ApiKeys.create/2","type":"function"},{"doc":"Lists all API keys.","ref":"Resend.ApiKeys.html#list/1","title":"Resend.ApiKeys.list/1","type":"function"},{"doc":"Removes an API key. Caution: This can't be undone!","ref":"Resend.ApiKeys.html#remove/2","title":"Resend.ApiKeys.remove/2","type":"function"},{"doc":"Resend API Key struct.","ref":"Resend.ApiKeys.ApiKey.html","title":"Resend.ApiKeys.ApiKey","type":"module"},{"doc":"","ref":"Resend.ApiKeys.ApiKey.html#t:t/0","title":"Resend.ApiKeys.ApiKey.t/0","type":"type"},{"doc":"Resend API client.","ref":"Resend.Client.html","title":"Resend.Client","type":"behaviour"},{"doc":"","ref":"Resend.Client.html#delete/5","title":"Resend.Client.delete/5","type":"function"},{"doc":"","ref":"Resend.Client.html#get/4","title":"Resend.Client.get/4","type":"function"},{"doc":"Creates a new Resend client struct given a keyword list of config opts.","ref":"Resend.Client.html#new/1","title":"Resend.Client.new/1","type":"function"},{"doc":"","ref":"Resend.Client.html#post/5","title":"Resend.Client.post/5","type":"function"},{"doc":"","ref":"Resend.Client.html#c:request/2","title":"Resend.Client.request/2","type":"callback"},{"doc":"","ref":"Resend.Client.html#t:response/1","title":"Resend.Client.response/1","type":"type"},{"doc":"","ref":"Resend.Client.html#t:t/0","title":"Resend.Client.t/0","type":"type"},{"doc":"Tesla client for Resend. This is the default HTTP client used.","ref":"Resend.Client.TeslaClient.html","title":"Resend.Client.TeslaClient","type":"module"},{"doc":"Returns a new Tesla.Client , configured for calling the Resend API.","ref":"Resend.Client.TeslaClient.html#new/1","title":"Resend.Client.TeslaClient.new/1","type":"function"},{"doc":"Sends a request to a Resend API endpoint, given list of request opts.","ref":"Resend.Client.TeslaClient.html#request/2","title":"Resend.Client.TeslaClient.request/2","type":"function"},{"doc":"Manage domains in Resend.","ref":"Resend.Domains.html","title":"Resend.Domains","type":"module"},{"doc":"Creates a new domain. Parameter options: :name - The domain name (required) :region - Region to deliver emails from, on of: [&quot;us-east-1&quot;, &quot;eu-west-1&quot;, &quot;sa-east-1&quot;]","ref":"Resend.Domains.html#create/2","title":"Resend.Domains.create/2","type":"function"},{"doc":"Gets a domain given an ID.","ref":"Resend.Domains.html#get/2","title":"Resend.Domains.get/2","type":"function"},{"doc":"Lists all domains.","ref":"Resend.Domains.html#list/1","title":"Resend.Domains.list/1","type":"function"},{"doc":"Removes a domain. Caution: This can't be undone!","ref":"Resend.Domains.html#remove/2","title":"Resend.Domains.remove/2","type":"function"},{"doc":"Begins the verification process for a domain.","ref":"Resend.Domains.html#verify/2","title":"Resend.Domains.verify/2","type":"function"},{"doc":"Resend Domain struct.","ref":"Resend.Domains.Domain.html","title":"Resend.Domains.Domain","type":"module"},{"doc":"","ref":"Resend.Domains.Domain.html#t:t/0","title":"Resend.Domains.Domain.t/0","type":"type"},{"doc":"Resend Domain Record struct.","ref":"Resend.Domains.Domain.Record.html","title":"Resend.Domains.Domain.Record","type":"module"},{"doc":"","ref":"Resend.Domains.Domain.Record.html#t:t/0","title":"Resend.Domains.Domain.Record.t/0","type":"type"},{"doc":"Send emails via Resend.","ref":"Resend.Emails.html","title":"Resend.Emails","type":"module"},{"doc":"Gets an email given an ID.","ref":"Resend.Emails.html#get/2","title":"Resend.Emails.get/2","type":"function"},{"doc":"Sends an email given a map of parameters. Parameter options: :to - Recipient email address (required) :from - Sender email address (required) :cc - Additional email addresses to copy, may be a single address or a list of addresses :bcc - Additional email addresses to blind-copy, may be a single address or a list of addresses :reply_to - Specify the email that recipients will reply to :subject - Subject line of the email :html - The HTML-formatted body of the email :text - The text-formatted body of the email You must include one or both of the :html and :text options.","ref":"Resend.Emails.html#send/2","title":"Resend.Emails.send/2","type":"function"},{"doc":"Resend Email struct.","ref":"Resend.Emails.Email.html","title":"Resend.Emails.Email","type":"module"},{"doc":"","ref":"Resend.Emails.Email.html#t:t/0","title":"Resend.Emails.Email.t/0","type":"type"},{"doc":"","ref":"Resend.Empty.html","title":"Resend.Empty","type":"module"},{"doc":"","ref":"Resend.Empty.html#t:t/0","title":"Resend.Empty.t/0","type":"type"},{"doc":"Castable module for returning structured errors from the Resend API.","ref":"Resend.Error.html","title":"Resend.Error","type":"module"},{"doc":"","ref":"Resend.Error.html#t:t/0","title":"Resend.Error.t/0","type":"type"},{"doc":"","ref":"Resend.List.html","title":"Resend.List","type":"module"},{"doc":"","ref":"Resend.List.html#of/1","title":"Resend.List.of/1","type":"function"},{"doc":"","ref":"Resend.List.html#t:t/1","title":"Resend.List.t/1","type":"type"},{"doc":"Adapter module to configure Swoosh to send emails via Resend. Using this adapter, we can configure a new Phoenix application to send mail via Resend by default. If the project generated authentication with phx.gen.auth , then all auth communication will work with Resend out of the box. To configure your Mailer, specify the adapter and a Resend API key: config :my_app, MyApp.Mailer, adapter: Resend.Swoosh.Adapter, api_key: &quot;re_1234567&quot; If you're configuring your app for production, configure your adapter in prod.exs , and your API key from the environment in runtime.exs : # prod.exs config :my_app, MyApp.Mailer, adapter: Resend.Swoosh.Adapter # runtime.exs config :my_app, MyApp.Mailer, api_key: &quot;re_1234567&quot; And just like that, you should be all set to send emails with Resend!","ref":"Resend.Swoosh.Adapter.html","title":"Resend.Swoosh.Adapter","type":"module"},{"doc":"","ref":"Resend.Util.html","title":"Resend.Util","type":"module"},{"doc":"","ref":"Resend.Util.html#parse_iso8601/1","title":"Resend.Util.parse_iso8601/1","type":"function"}]